<template>
  <div class="error-message">
    <p 
      v-if="hasError">
      <slot></slot>
    </p>
    <p v-else>&nbsp;</p>
  </div>
</template>

<script>
export default {
  props: {
    hasError: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style scoped>
.error-message {
  font-size: 0.75em;
}
</style>
